Skip to main content
PATCH
/
v2
/
customers
/
{customerId}
/
customfields
/
{customfieldId}
Update Customer Custom Field
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/customfields/{customfieldId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '{
  "value": {}
}'
{
  "errorCode": "<string>",
  "validationErrors": {},
  "errors": {},
  "errorMessage": "<string>",
  "stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the customer that the custom field belongs to. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customfieldId
string<uuid>
required

The id of the customfield that should be updated.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The custom field value.

Model Class: UpdateCustomFieldValue

value
object

The custom field value. The object should match the custom field type.

Response